Package org.eclipse.ui.internal

# Class WorkbookEditorsHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.ui.internal.FilteredTableBaseHandler
org.eclipse.ui.internal.WorkbookEditorsHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`, `IExecutableExtension`

public class WorkbookEditorsHandler extends FilteredTableBaseHandler
Shows a list of open editor and parts in the current or last active workbook.

Since:
  3.4

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.ui.internal.FilteredTableBaseHandler

`FilteredTableBaseHandler.FilteredTableItem`

## Field Summary

### Fields inherited from class org.eclipse.ui.internal.FilteredTableBaseHandler

`commandBackward, commandForward, dialog, gotoDirection, page, result, window`

## Constructor Summary

Constructors
Constructor
Description
`WorkbookEditorsHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected ParameterizedCommand`
`getBackwardCommand()`
Get the backward command.
`protected int`
`getCurrentItemIndex()`
Get the index of the current item (not valid if there are no items).
`protected ViewerFilter`
`getFilter()`
Return the filter to use.
`protected ParameterizedCommand`
`getForwardCommand()`
Get the forward command.
`protected Object`
`getInput(WorkbenchPage page)`
Add all items to the dialog in the activation order
`protected boolean`
`isActiveEditor(MPart model)`
True if the given model represents the active editor
`protected boolean`
`isFiltered()`
True to show search text and enable filtering.
`protected boolean`
`isHiddenEditor(MPart model)`
True is the given model represents an hidden editor
`protected void`
`setLabelProvider(TableViewerColumn tableViewerColumn)`
Specializes `FilteredTableBaseHandler.setLabelProvider(TableViewerColumn)` by providing custom styles to the table cells
`protected void`
`setMatcherString(String pattern)`
Set the filter text entered by the User, does nothing by default

### Methods inherited from class org.eclipse.ui.internal.FilteredTableBaseHandler

`activate, addKeyListener, addKeyListener, addModifyListener, addMouseListener, addTraverseListener, cancel, clearTriggers, execute, getBackground, getBackwardTriggerSequences, getColumnLabelProvider, getForeground, getForwardTriggerSequences, getSelection, getTableHeader, getTriggers, getWindow, getWorkbenchPartReferenceText, keepOpen, ok, openDialog, setDialogLocation, setInitializationData`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`getHandlerLabel`

## Constructor Details

### WorkbookEditorsHandler

public WorkbookEditorsHandler()

## Method Details

### getInput

protected Object getInput(WorkbenchPage page)
Description copied from class: `FilteredTableBaseHandler`
Add all items to the dialog in the activation order

Specified by:
  `getInput` in class `FilteredTableBaseHandler`

### isFiltered

protected boolean isFiltered()
Description copied from class: `FilteredTableBaseHandler`
True to show search text and enable filtering. False by default

Overrides:
  `isFiltered` in class `FilteredTableBaseHandler`

### setMatcherString

protected void setMatcherString(String pattern)
Description copied from class: `FilteredTableBaseHandler`
Set the filter text entered by the User, does nothing by default

Overrides:
  `setMatcherString` in class `FilteredTableBaseHandler`
Parameters:
  `pattern` - may be used in overrides

### setLabelProvider

protected void setLabelProvider(TableViewerColumn tableViewerColumn)
Specializes `FilteredTableBaseHandler.setLabelProvider(TableViewerColumn)` by providing custom styles to the table cells

Overrides:
  `setLabelProvider` in class `FilteredTableBaseHandler`

### isActiveEditor

protected boolean isActiveEditor(MPart model)
True if the given model represents the active editor

### isHiddenEditor

protected boolean isHiddenEditor(MPart model)
True is the given model represents an hidden editor

### getFilter

protected ViewerFilter getFilter()
Description copied from class: `FilteredTableBaseHandler`
Return the filter to use. Null by default

Overrides:
  `getFilter` in class `FilteredTableBaseHandler`

### getBackwardCommand

protected ParameterizedCommand getBackwardCommand()
Description copied from class: `FilteredTableBaseHandler`
Get the backward command.

Specified by:
  `getBackwardCommand` in class `FilteredTableBaseHandler`

### getForwardCommand

protected ParameterizedCommand getForwardCommand()
Description copied from class: `FilteredTableBaseHandler`
Get the forward command.

Specified by:
  `getForwardCommand` in class `FilteredTableBaseHandler`

### getCurrentItemIndex

protected int getCurrentItemIndex()
Description copied from class: `FilteredTableBaseHandler`
Get the index of the current item (not valid if there are no items).

Overrides:
  `getCurrentItemIndex` in class `FilteredTableBaseHandler`